WordPress.org

Support

Support » How-To and Troubleshooting » after upgrade to 3.4 site shows error code

after upgrade to 3.4 site shows error code

  • after upgrade to 3.4 the site http://www.br-nd.com all seems okay, but after opening every blogpost this error is shown on the site:

    Warning: Wrong parameter count for debug_backtrace() in /mnt/home/sites/b/brnd/htdocs/wp-includes/functions.php on line 3625

    Warning: Invalid argument supplied for foreach() in /mnt/home/sites/b/brnd/htdocs/wp-includes/functions.php on line 3630

    what to do?

    help much appreciated!

Viewing 3 replies - 1 through 3 (of 3 total)
  • esmi

    @esmi

    Forum Moderator

    Have you tried:

    – deactivating all plugins to see if this resolves the problem. If this works, re-activate the plugins one by one until you find the problematic plugin(s).

    – switching to the Twenty Eleven theme to rule out any theme-specific problems.

    resetting the plugins folder by FTP or PhpMyAdmin. Sometimes, an apparently inactive plugin can still cause problems.

    – re-uploading all files & folders – except the wp-content folder – from a fresh download of WordPress.

    This is a bug with WP 3.4 – I’ve posted a ticket (http://core.trac.wordpress.org/ticket/20953)

    If you want to fix it right now, go into functions.php (in /wp-includes/) and on line 3625 you change

    $trace = debug_backtrace( false ); to $trace = debug_backtrace();

    It will solve your problems for the time being. Also, tell your host to update the PHP-version the server is running (it is because the old version that this error occurs).

    thx swekitsune,

    did what you suggested and all is fine again.

    many thx 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘after upgrade to 3.4 site shows error code’ is closed to new replies.
Skip to toolbar